#import all necessary functionality to the Script
import time
import Adafruit_ADS1x15

#import glowbit libraries
import glowbit

#initialise LED variables, know that num of leds (starts at 1) is differnt the index number (starts at 0)
stick = glowbit.stick(numLEDs = 24, pin=18,  brightness = 100)

#Use the graphing function to quickly create a Bar based on the range of potential ADC values
graph =  stick.newGraph1D(minIndex = 0, maxIndex = 23, minValue = 0, maxValue = 2050, colourMap = "Rainbow")


# Create an ADS1115 ADC (16-bit) instance. Note you can change the I2C address from its default (0x48) and/or bus number
adc = Adafruit_ADS1x15.ADS1015(address=0x48, busnum=1)
# Choose a gain of 1 for reading voltages from 0 to 4.09V.
GAIN = 1
#Create a Loop that repeats forever
while True:
    #Read the value coming from Anologue In Pin 0, set gain to above value
    values = adc.read_adc(0, gain=GAIN)
    #Print the values to the shell, right click shell to enable plotter 
    print(values)
    
    #Update the LED Glowbit Stick to show all ADC values as it changes
    stick.updateGraph1D(graph, values)
    stick.pixelsShow()
    
    #pause for just a tiny fraction of a second (so as not to be overwhelmed by data)
    time.sleep(0.1)
